<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <script src="../../../../../clover.js" type="text/javascript"></script>
  <script src="../../../../../sorttable.js" type="text/javascript"></script>

  <style type="text/css" media="screen">
      @import url('../../../../../style.css');
      @import url('../../../../../roundedcorners.css');
  </style>
<title> HttpCore NIO 4.3-alpha1 </title>      
</head>
  <body onload="showContent();">
    <div class="titleText">
      <a href="pkg-summary.html" target="classPane" title="org.apache.http.impl.nio">org.apache.http.impl.nio</a>
    </div>
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  active ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">DefaultClientIOEventDispatch</span>
            <a class="classlist" target="classPane" href="DefaultClientIOEventDispatch.html#DefaultClientIOEventDispatch" title="org.apache.http.impl.nio.DefaultClientIOEventDispatch">DefaultClientIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpClientIODispatch</span>
            <a class="classlist" target="classPane" href="DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch" title="org.apache.http.impl.nio.DefaultHttpClientIODispatch">DefaultHttpClientIODispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.45714286</span>
        <i>(45.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpServerIODispatch</span>
            <a class="classlist" target="classPane" href="DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch" title="org.apache.http.impl.nio.DefaultHttpServerIODispatch">DefaultHttpServerIODispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5588235</span>
        <i>(55.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpClientConnection</span>
            <a class="classlist" target="classPane" href="DefaultNHttpClientConnection.html#DefaultNHttpClientConnection" title="org.apache.http.impl.nio.DefaultNHttpClientConnection">DefaultNHttpClientConnection</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7236842</span>
        <i>(72.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpClientConnectionFactory</span>
            <a class="classlist" target="classPane" href="DefaultNHttpClientConnectionFactory.html#DefaultNHttpClientConnectionFactory" title="org.apache.http.impl.nio.DefaultNHttpClientConnectionFactory">DefaultNHttpClientConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4651163</span>
        <i>(46.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpServerConnection</span>
            <a class="classlist" target="classPane" href="DefaultNHttpServerConnection.html#DefaultNHttpServerConnection" title="org.apache.http.impl.nio.DefaultNHttpServerConnection">DefaultNHttpServerConnection</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.775641</span>
        <i>(77.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpServerConnectionFactory</span>
            <a class="classlist" target="classPane" href="DefaultNHttpServerConnectionFactory.html#DefaultNHttpServerConnectionFactory" title="org.apache.http.impl.nio.DefaultNHttpServerConnectionFactory">DefaultNHttpServerConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.20930232</span>
        <i>(20.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultServerIOEventDispatch</span>
            <a class="classlist" target="classPane" href="DefaultServerIOEventDispatch.html#DefaultServerIOEventDispatch" title="org.apache.http.impl.nio.DefaultServerIOEventDispatch">DefaultServerIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NHttpClientEventHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="NHttpClientEventHandlerAdaptor.html#NHttpClientEventHandlerAdaptor" title="org.apache.http.impl.nio.NHttpClientEventHandlerAdaptor">NHttpClientEventHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NHttpConnectionBase</span>
            <a class="classlist" target="classPane" href="NHttpConnectionBase.html#NHttpConnectionBase" title="org.apache.http.impl.nio.NHttpConnectionBase">NHttpConnectionBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.51502144</span>
        <i>(51.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NHttpServerEventHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor" title="org.apache.http.impl.nio.NHttpServerEventHandlerAdaptor">NHttpServerEventHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLClientIOEventDispatch</span>
            <a class="classlist" target="classPane" href="SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" title="org.apache.http.impl.nio.SSLClientIOEventDispatch">SSLClientIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLNHttpClientConnectionFactory</span>
            <a class="classlist" target="classPane" href="SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory" title="org.apache.http.impl.nio.SSLNHttpClientConnectionFactory">SSLNHttpClientConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLNHttpServerConnectionFactory</span>
            <a class="classlist" target="classPane" href="SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory" title="org.apache.http.impl.nio.SSLNHttpServerConnectionFactory">SSLNHttpServerConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLServerIOEventDispatch</span>
            <a class="classlist" target="classPane" href="SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" title="org.apache.http.impl.nio.SSLServerIOEventDispatch">SSLServerIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SessionHttpContext</span>
            <a class="classlist" target="classPane" href="SessionHttpContext.html#SessionHttpContext" title="org.apache.http.impl.nio.SessionHttpContext">SessionHttpContext</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>